# vim: set ft=spec: -*- rpm-spec -*-
%define _libdir /lib

Name: device-mapper
Version: 1.01.01
Release: alt4

Summary: Userspace supporting utilites for device-mapper
License: GPL
Group: System/Kernel and hardware
Url: http://sources.redhat.com/dm/
Packager: Pavel S. Mironchik <tibor@altlinux.ru>

Source0: %name.%version.tgz
Source1: dmcontrol_update
Patch0: %name-1.01.01-build.patch.bz2
Patch1: %name-1.01.01-verbose.patch.bz2
Patch2: lazy-levin-lilo-1.01.01.patch


%package -n libdevmapper
Summary: Library of routines for device-mapper management
Group: System/Libraries
# lilo ugly fix

%package -n libdevmapper-devel
Summary: Header file for libdevmapper
Group: System/Libraries
Requires: libdevmapper = %version-%release

%package -n libdevmapper-devel-static
Summary: Static version of libdevmapper
Group: System/Libraries
Requires: libdevmapper-devel = %version-%release

%package -n dmsetup
Summary: Utilities for low level logical volume management
Summary(ru_RU.KOI8-R):    device-mapper
Group: System/Kernel and hardware 
Requires: libdevmapper = %version-%release

%description
This package contains the library and set of utilites for creating and
managing of device-mapper logical volumes.

%description -l ru_RU.KOI8-R
   device-mapper.

%description -n libdevmapper
Library of routines for device-mapper management.

%description -n libdevmapper -l ru_RU.KOI8-R
    device-mapper.

%description -n libdevmapper-devel
Header files for libdevmapper.

%description -n libdevmapper-devel -l ru_RU.KOI8-R
   libdevmapper.

%description -n libdevmapper-devel-static
Static version of libdevmapper.

%description -n libdevmapper-devel-static -l ru_RU.KOI8-R
    .

%description -n dmsetup
Utilities for low level logical volume management.

%description -n dmsetup -l ru_RU.KOI8-R
   device-mapper.

%prep
%setup -q -n %name.%version
%patch0 -p0
%patch1 -p0
%patch2 -p0


%build
%configure  
%make_build

%post -n libdevmapper -p %post_ldconfig
%postun -n libdevmapper -p %postun_ldconfig

%install
%__mkdir_p %buildroot{%_bindir,%_man8dir,%_libdir,%_includedir,%_sbindir}
%makeinstall
%__install -pD -m755 %SOURCE1 $RPM_BUILD_ROOT%_sbindir/
%__install -pD -m755 lib/ioctl/libdevmapper.a $RPM_BUILD_ROOT%_libdir/

%files -n libdevmapper
%_libdir/*.so.*

%files -n libdevmapper-devel
%_libdir/*.so
%_includedir/libdevmapper.h

%files -n libdevmapper-devel-static
%_libdir/libdevmapper.a

%files -n dmsetup
%doc README VERSION
%_sbindir/dmsetup
%_sbindir/dmcontrol_update
%_man8dir/dmsetup.*

%changelog
* Mon Apr 25 2005 Pavel Mironchik <tibor@altlinux.ru> 1.01.01-alt4
- fixed #6625(BUGZILLA)

* Thu Apr 21 2005 Pavel Mironchik <tibor@altlinux.ru> 1.01.01-alt3
- last patch fix (export version)

* Thu Apr 21 2005 Pavel Mironchik <tibor@altlinux.ru> 1.01.01-alt2
- back to 1.00.19 soname

* Thu Apr 14 2005 Pavel Mironchik <tibor@altlinux.ru> 1.01.01-alt1
- release update

* Mon Dec 27 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.19-alt5
- added verbose patch

* Fri Dec 24 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.19-alt4
- fixed bug 5723

* Fri Dec  3 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.19-alt3
- removed service, moved libdevmapper to /lib

* Tue Nov 23 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.19-alt2.1
- rebuilt after D.Levin cleanup

* Mon Nov 22 2004 Dmitry V. Levin <ldv@altlinux.org> 1.00.19-alt2.1
- Specfile cleanup.
- Moved development library to -devel subpackage.

* Fri Nov 19 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.19-alt2
- header file moved into single package

* Fri Nov 19 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.19-alt1
- release

* Thu May  6 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.17-alt1
- new version

* Mon Mar  1 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.07-alt2
- start script added

* Tue Feb  3 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.07-alt1
- new version

* Wed Sep 17 2003 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.05-alt3
- Fixed spec bug

* Wed Sep 17 2003 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.05-alt2
- Added dm_ctrl_install.sh specially for altlinux

* Wed Sep 17 2003 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.05-alt1
- Initial build for ALTLinux





